/*
    Title:      Poly/ML Console Window.

	Copyright (c) 2000 David C. J. Matthews

	Copying and use of this software is subject to the terms of the
	Poly/ML licence.
*/

#ifndef _CONSOLE_H
#define _CONSOLE_H

/* Test whether input is available. */
extern int isConsoleInput(void);
/* Read characters from the input.  Only returns zero on EOF. */
extern int getConsoleInput(char *buff, int nChars);
/* Get a database if one wasn't supplied. */
extern int getDBFileName(char *lpszName, int nNameLen);

extern HWND hMainWindow; /* Handle to main window - NULL if none. */
extern int useConsole; /* non-zero if we should use the console for input. */
extern HINSTANCE hApplicationInstance; /* Application instance */

/* DDE requests. */
extern HCONV StartDDEConversation(char *serviceName, char *topicName);
extern void CloseDDEConversation(HCONV hConv);
extern int ExecuteDDE(char *command, HCONV hConv);

#endif
