/*
    Title: 	copygc.h - export signature for copygc.c

	Copyright (c) 2000
		Cambridge University Technical Services Limited

	Copying and use of this software is subject to the terms of the
	Poly/ML licence.
*/

/* created 26/10/93 SPF. The old, unrelated, file was rename gcspace.h */

#ifndef COPY_GC_DEFINED
#define COPY_GC_DEFINED
#include "mm.h"
#include "globals.h"

extern word CopyGC
(
  OpRootsFunc OpCopyRoots,    /* copy these roots */
  GCConst  *OLD_CONSTS,
  GCConst  *NEW_CONSTS,
  GCSpace  *DB,
  GCSpace  *FROM,
  GCSpace  *TO,
  Header    CONTEXT,
  AllocFunc newM,
  AllocFunc newI,
  int       restore /* do we need to restore the old heap afterwards? */
);

#endif
