/*
    Title: 	gc.h - exports signature for gc.c

	Copyright (c) 2000
		Cambridge University Technical Services Limited

	Copying and use of this software is subject to the terms of the
	Poly/ML licence.
*/

/* created 26/10/93 SPF */

extern void CopyStackFrame(StackObject *old_stack,StackObject *new_stack);
extern void RegisterGCProc(GCMapFunc);
extern void OpGCProcs(GCOpFunc op);
extern void SetImmutables(int writeable);
extern void FullGC(void);
extern void QuickGC(int words_needed);
extern void ForConstant(word **pt, void (*op)());

extern void CreateHeap(void);
extern void DestroyHeap(void);
