/*
    Title: 	sighandler.h

	Copyright (c) 2000 David C.J. Matthews

	Copying and use of this software is subject to the terms of the
	Poly/ML licence.
*/

#ifndef _SIGHANDLER_H
#define _SIGHANDLER_H 1

extern Handle Sig_dispatch_c(Handle handler, Handle sig);

extern void addSigCount(int sig);
extern void markSignalInuse(int sig);

extern void uninit_sig_handler(void);
extern void init_sig_handler(void);
extern void re_init_sig_handler(void);

#ifdef WINDOWS_PC
extern void handleINT(void);
extern void RequestConsoleInterrupt(void);
extern void SetResetCC(const int enable);
#else
#include <signal.h>
extern void init_asyncmask(sigset_t *mask);
typedef void (*signal_handler_type)(int);
extern int setSignalHandler(int sig, signal_handler_type func);
#endif /* ! WINDOWS_PC */

#endif
