/*
    Title: 	Real number conversion
    Author: 	Dave Matthews, Cambridge University Computer Laboratory

	Copyright (c) 2000
		Cambridge University Technical Services Limited

	Copying and use of this software is subject to the terms of the
	Poly/ML licence.
*/
#ifndef REALCONV_H
#define REALCONV_H

#ifdef MACOSX
/* Redefining strtod causes problems. */
#define strtod LocalStrtod
#endif

double strtod(const char *s00, char **se);
char *dtoa(double d, int mode, int ndigits,
			int *decpt, int *sign, char **rve);

#endif
